SQUID_DB_AUTH(1)

NAME
db_auth.pl - Database auth helper for Squid

SYNOPSIS
db_auth.pl [options]

DESCRIPTOIN
This program verifies username & password to a database

--dsn
    Database DSN. Default "DBI:mysql:database=squid"

--user
    Database User

--password
    Database password

--table
    Database table. Default "passwd".

--usercol
    Username column. Default "user".

--passwdcol
    Password column. Default "password".

--cond
    Condition, defaults to enabled=1. Specify 1 or "" for no condition

--plaintext
    Database contains plain-text passwords

--persist
    Keep a persistent database connection open between queries.

COPYRIGHT
Copyright (C) 2007 Henrik Nordstrom <henrik@henriknordstrom.net> This program is free software. You may redistribute copies of it under the terms of the GNU General Public License version 2, or (at youropinion) any later version.